---
updatedAt: 2026-07-30T22:32:10.000Z
---

# Cancel booking (New)

Call this endpoint to cancel carrier shipping charges within 24 hours for small parcel shipments and within 1 hour for Less Than Truckload (LTL) and Full Truckload (FTL) shipments, after accepting the estimated charges.

> **Note**: This page shows examples using only the required parameters and inputs to cancel a booking. For a full list of customization options and additional capabilities, refer to the [Marketplace Fulfillment API Reference](/us-marketplace/reference/voidcarrierratequotes).

# Endpoint

```Text bash
DELETE https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking 
```

# Sample request

```Text cURL
curl --request DELETE \
  --url https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking/?shipmentId?{shipmentId}&mode=PARCEL \
  --header 'accept: application/json'
```
```Text Python
import requests

url = 'https://marketplace.walmartapis.com/v3/fulfillment/inbound-shipments-booking/?shipmentId?{shipmentId}&mode=PARCEL'
headers = {
    'accept': 'application/json'
}

response = requests.delete(url, headers=headers)
print(response.status_code)
print(response.text)
```

## Modify your code

Replace `shipmentId` in the URL with the actual ID of the shipment you want to cancel.

# Sample response

This sample response request was successful `OK` confirms the cancel operation was completed.

```Text JSON
{
  "status": "OK"
}
```

# Result

If the request is successful, the response returns a `200 OK` status.